# Enum Class Heuristics

java.lang.Object
java.lang.Enum<Heuristics>
nu.validator.htmlparser.common.Heuristics

All Implemented Interfaces:
  `Serializable, Comparable<Heuristics>, Constable`

public enum Heuristics extends Enum<Heuristics>
Indicates a request for character encoding sniffer choice.

Version:
  $Id$
Author:
  hsivonen

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
Use both jchardet and ICU4J.
`CHARDET`
Use jchardet only.
`ICU`
Use ICU4J only.
`NONE`
Perform no heuristic sniffing.

## Method Summary

Modifier and Type
Method
Description
`static Heuristics`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Heuristics[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Heuristics NONE
Perform no heuristic sniffing.

### ALL

public static final Heuristics ALL
Use both jchardet and ICU4J.

### CHARDET

public static final Heuristics CHARDET
Use jchardet only.

### ICU

public static final Heuristics ICU
Use ICU4J only.

## Method Details

### values

public static Heuristics[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Heuristics valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null